#persistence_location /mosquitto/data/
#log_dest file /mosquitto/log/mosquitto.log
#log_type debug
connection_messages false
#allow_anonymous false #for testing
persistence false
listener 1883

# connection to BAL
connection bridge-bal
address # address[:port]

remote_clientid dsotp-bridge
remote_username # please provide username
remote_password # and password
bridge_capath /etc/ssl/certs/

topic # in 0  bal/ platone/dsotp/

# connection to DSOTP
connection bridge-dsotp
address {{.Env.DSOTP_MQTT_URL}} # address[:port]

remote_clientid bal-dstop-bridge
remote_username {{.Env.DSOTP_MQTT_USERNAME}}# please provide username
remote_password {{.Env.DSOTP_MQTT_PASSWORD}}# and password

# required settings for bridging to rabbitMQ mqtt
# based on https://github.com/rabbitmq/rabbitmq-mqtt/issues/34
bridge_insecure true
try_private false
bridge_attempt_unsubscribe false
bridge_protocol_version mqttv311

topic # out 0 bal/platone/ raw/bal/ 
